.ui-widget-content-a
{
	background-image: none;
	color: #283533;
	background-color: #E6E7E7;
	border: none;
}
.ui-widget-content-a .Month,.ui-widget-content-a .StandardFilters,.ui-widget-content-a .CustomFilters
{
	padding-left:5px;
}

/* Header */
.DropDownFilter,
.DropDownFilter .DatePickerButtonGroup
{
	background-color: #E6E7E7;
}
.DatePickerButton .ui-button-text { padding: 4px; }

.ui-dialog .ui-dialog-titlebar-close
{
	height: 16px;
	width: 16px;
}

.PortalMenuText
{
	color: #131619;
}

#UserActivityFilters fieldset legend { color: White; }

/* Logon */
html
{
	height: 100%;
}

body.Logon
{
	background-color: rgb(224,224,224);
	background-image: Url(../Content/images/Unicon.svg);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center bottom;
}

.Logon #header
{
	display: none;
}


/* Do not override the Mobile Css rules */
@media only screen and (min-device-width: 480px)
{
	#logon.LogonPanel
	{
		position: static;
		margin: auto;
		font-size: 1em;
		border-radius: 8px;
		height: 100%;
		width: 280px;
	}

	.Logon #PasswordWrapper
	{
		width: 100%;
	}

	.Logon #main
	{
		margin: 0px;
	}

	#logon .buttons
	{
		right: inherit;
		width: 100%;
		margin: 0px;
	}

	#logon.LogonPanel input[type=button]
	{
		width: 100%;
		height: 36px;
		background: #ffffff;
		border: 1px solid #000000;
		color: #000000;
		border-radius: 35px;
		font-size: 1em;
		margin-top: 8px;
	}

	#logon #UserName,
	#logon #Password
	{
		text-align: left;
	}

	input:focus
	{
		outline: none;
		box-shadow: 0 1px 0 0 black;
	}

	#logon.LogonPanel input[type='text'],
	#logon.LogonPanel input[type='password'],
	#logon.LogonPanel input[type='email']
	{
		height: 34px;
		margin: 0px;
		padding: 0px;
		padding-top: 3px;
		padding-bottom: 3px;
		margin-bottom: 16px;
		width: 100%;
		background-color: rgb(255,255,255) !important;
		border-bottom: 1px solid black !important;
		border: 0px solid black;
		border-radius: 0px;
	}

	#logon.LogonPanel .buttons input[type='submit']
	{
		width: 100%;
		height: 36px;
		background: #141719;
		border: 1px solid #FFFFFF;
		color: #FFFFFF !important;
		border-radius: 35px;
		font-size: 1em;
	}

	#logon.LogonPanel #Login
	{
		width: 100%;
		height: 36px;
		background: #141719;
		border: 1px solid #FFFFFF;
		color: #FFFFFF !important;
		border-radius: 35px;
		font-size: 1em;
	}

	input:-webkit-autofill
	{
		box-shadow: 0 0 0px 1000px white inset;
	}
}

body { background: white; }

.KoTable
{
	border-collapse:separate;
	border:solid rgb(78,115,127) 2px;
	border-radius:1px;
	width: 100%;
}

.KoTable th
{
	color: white;
}

/* DataTables */
.TFPPanel,
table.TFPTable
{
	background-color: #acacac;
}

/* Side border colors between header an and footer */
.dataTables_wrapper .ui-widget-header,
.dataTables_wrapper .dataTables_scrollHeadInner
{
	background-image: none;
	background-color: #ACACAC;
}

/* Icon colors */
.TFPTable td .ButtonList li .ui-icon { background-image: url(../Content/images/ui-icons_000000_256x240.png); }

.ui-icon.Disabled,
.TFPTable td .ButtonList li.Disabled .ui-icon
{ background-image: url(../Areas/Core/Content/Images/ui-icons_cccccc_256x240.png); }

thead.DataTableThead.ui-widget-header, .dataTable.ui-widget-content { border: none; }

button, .ui-button span, input[type='submit'], input[type='button'] { font-size: 0.9em; }

/* Custom fonts */
@font-face
{
	font-family: 'InterRegular';
	src: url('../Content/Fonts/Inter-Regular.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
}

@font-face
{
	font-family: 'InterBold';
	src: url('../Content/Fonts/Inter-Regular.ttf') format('truetype');
	font-weight: 500;
	font-style: normal;
}

/* Use bold font instead of making the regular font bold. Bold makes regular look smudgy */
table thead th,
table td.bold,
.ui-toolbar .dataTables_info .Bold,
.TFPTable thead th,
.TFPTable tfoot tr td.GuaranteedHours,
.outerscrolltable thead th,
.outerscrolltable2 div.SchedulingGroup,
h1,
H2,
H3,
H4,
.h4,
.PortalGridMenuText,
.PortalMenuText,
.MenuItem,
td.eventsOnTrip,
td.driverAssigned,
#ordersPanel #unresolvedTable td.releaseOveraccounted,
#ordersPanel #unresolvedTable td.releaseUnaccounted,
#terminalCalendarDetailsPanel .terminalCalendarDetailsTitle,
div#NotificationTable table td,
#GreenergyCustomerWelcomeScreen span.NotificationDate,
.ui-widget-header,
b,
caption,
.ui-toolbar .LengthWrapper ul li.ui-selected,
.VerticalLabelValue .Head,
.ui-datepicker .ui-datepicker-buttonpane button.ui-datepicker-current,
#viewDeleteDetails div.AssociatedRolesMessage,
.DashboardButtons li,
.KOLabelTable .KOLabelText,
.KOLabelTable .KOLabelSubText,
.KOLabelTable .KOLabelHeader,
#dropboxDiv
{
	font-family: InterRegular,sans-serif;
	font-weight: 600;
}

#title { background-color: #131619; }

.ui-widget-footer{ background-color: #ACACAC !important; }

#menucontainer #menu .submenu { border: 1px solid white; }

.IconWrapper { height: 20px; }

/*Use different statuChange segment colors*/
	a.ui-link.ui-btn.ChangeStatusAnchor.StatusChange-workstarted.ui-btn-icon-top.ui-icon-info {
    background-color: #32b432;
	}
		
	a.ui-link.ui-btn.ChangeStatusAnchor.StatusChange-workdone.ui-btn-icon-top.ui-icon-info {
    background-color: #32b432;
	}
/*Use different POS segment colors
	.GoToStopPoS {
    background-color: #9A1447 !important;
	}
	*/
/*Hide finish trip button*/
html body .FinishTripListButton.ui-btn.ui-shadow.ui-corner-all
{
display: none !important;
}

/*Hide green star in stoplist (no snapshot icen) */
body #MobileTripList ul li.NewStop a.ui-icon-arrow-r:after {
   background-color: rgba(0,0,0,.15);
   background-image: url("data:image/svg+xml;charset=US-ASCII,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22iso-8859-1%22%3F%3E%3C!DOCTYPE%20svg%20PUBLIC%20%22-%2F%2FW3C%2F%2FDTD%20SVG%201.1%2F%2FEN%22%20%22http%3A%2F%2Fwww.w3.org%2FGraphics%2FSVG%2F1.1%2FDTD%2Fsvg11.dtd%22%3E%3Csvg%20version%3D%221.1%22%20id%3D%22Layer_1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20x%3D%220px%22%20y%3D%220px%22%20%20width%3D%2214px%22%20height%3D%2214px%22%20viewBox%3D%220%200%2014%2014%22%20style%3D%22enable-background%3Anew%200%200%2014%2014%3B%22%20xml%3Aspace%3D%22preserve%22%3E%3Cpolygon%20fill%3D%22%23FFF%22%20points%3D%2214%2C7%207%2C0%207%2C5%200%2C5%200%2C9%207%2C9%207%2C14%20%22%2F%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3Cg%3E%3C%2Fg%3E%3C%2Fsvg%3E");
}

/* Hide Bookmark from menu*/
html body .Bookmark
{
display: none !important;
}

/* Hide TripPOS from menu */
html body #TripStatusChangeViewMenuAnchor
{
display: none !important;
}

/* Hide StopPOS from menu */
html body #StatusChangeViewMenuAnchor
{
display: none !important;
}

/* Change text message colors*/
html body .OverlayHoverFooter
{
background-color: red !important;
}

/* Change SJA UsedEquipment color for radiobuttons*/
html body .UsedEquipment .RadioButtonElement, html body .SJA .RadioButtonElement, html body .AdditivesAdded .RadioButtonElement
{
background-color: green;
color: white;
text-shadow: none;
}

html .SJA .ui-btn.ui-radio-off:after, html .UsedEquipment .ui-btn.ui-radio-off:after, html .AdditivesAdded .ui-btn.ui-radio-off:after
{
background-color: white;
opacity: .7;
}

/* Stops where GPS-validated = true should be colored yellow*/
.StopList .Stops li.GpsValidated>a
{
background-color: #ffcb00;
text-shadow: none;
}

.StopList .Stops li.GpsValidated>a.ui-btn-active
{
background-color: #ffcb00;
text-shadow: -1px 0 1px black, 0 1px 1px black, 1px 0 1px black,  0-1px 1px black;
border: none;
}

/*Stopinfosegment should be colored yellow if GPSvalidated = true*/
.StopInfoContent.GpsValidated
{
background-color: #ffcb00;
text-shadow: none;
} 

.StopDetails .Segment.segment\.stopinfo .GpsValidated>a
{
background-color: #ffcb00;
text-shadow: none;
}

/*Make ActivityId bold*/
.ActivityId .ui-body-a
{
Background-color: #9A1447 !important;
Color: #ffffff !important;
font-weight: bold;
}

/*Remove Events button*/
.EventAnchor
{
display: none !important;
}

button.ChangeTripStatusListButton.Finish
{
 display: none;
}

button.ChangeTripStatusListButton.Begin
{
 display: none;
}

/*.Value.InputInvalid
{
 background-color: red ;
 color: white !important;
}*/
/*Always show reload button in KPI dashboard*/
.ApplyButton
{
	display: inline !important;
}

#EventSelect-button {
    pointer-events: none;
}
button.AddSurchargeBtn.ui-btn.ui-icon-plus.ui-btn-icon-notext.ui-shadow.ui-corner-all{
    pointer-events: none;
	display: none;
}

.TripPatternSegmentField {
	display: inline-flex;
	padding-bottom: 2px;
	padding-top: 2px;
}

.TripPatternSegmentField .Value {
	width: 180px;
}.IconWrapper { height: 20px; }

.VehiclesWithTripTodayCheckboxCell {
    text-align: right;
}

.NoDeviations {
    color: green;
}
.HasDeviations{ color:red;}

.UserSettingsDialog label {
	width:100px;
}
.UserSettingsDialog .Value select {
	width:175px;
}

#PluginDialog .Header
{
	width: 220px;
}

#PluginDialog .Value input
{
	width: 300px;
}